| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
PluginEndpointSecurityAttributes Struct Reference

`#include <EndpointSecurityAttributes.hpp>`

## Public Member Functions

| PluginEndpointSecurityAttributes ()
| PluginEndpointSecurityAttributes (const PluginEndpointSecurityAttributesMask mask)
PluginEndpointSecurityAttributesMask | mask () const

## Public Attributes

bool | is_submessage_encrypted
bool | is_submessage_origin_authenticated
bool | is_payload_encrypted

## Constructor & Destructor Documentation

## ◆ PluginEndpointSecurityAttributes() [1/2]

PluginEndpointSecurityAttributes | ( |  | ) |

inline

## ◆ PluginEndpointSecurityAttributes() [2/2]

PluginEndpointSecurityAttributes | ( | const PluginEndpointSecurityAttributesMask | mask | ) |

inline explicit

## Member Function Documentation

## ◆ mask()

PluginEndpointSecurityAttributesMask mask | ( |  | ) | const

## Member Data Documentation

## ◆ is_payload_encrypted

bool is_payload_encrypted

## ◆ is_submessage_encrypted

bool is_submessage_encrypted

## ◆ is_submessage_origin_authenticated

bool is_submessage_origin_authenticated

The documentation for this struct was generated from the following file:

- include/fastdds/rtps/attributes/EndpointSecurityAttributes.hpp